"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationPaused = async (pool, pause) => {
  const {
    database,
    escapeId
  } = pool;
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  await database.exec(`UPDATE ${escapeId(replicationStateTableName)} 
    SET "IsPaused" = ${pause ? 1 : 0}`);
};

var _default = setReplicationPaused;
exports.default = _default;
//# sourceMappingURL=set-replication-paused.js.map